-- short givemoney
-- same as givemoney but allows to abbreviate the amount
-- ex: /sgm bla 20m3k12 sends 20003012 credits to bla

local multiplier = {}
multiplier[""] = 1
multiplier["c"] = 1
multiplier["k"] = 1000
multiplier["m"] = 1000000
multiplier["b"] = 1000000000


local function numberify(str)
	if #str == 0 then return 0 end
	
	local numstr = ""
	local i = 1
	while i <= #str do
		local ch = str:sub(i, i)
		if tonumber(ch) then
			numstr = numstr..ch
		else
			break
		end
		i = i + 1
	end
	
	local num = tonumber(numstr) or 1
	local ch = str:sub(i,i):lower()
	if not multiplier[ch] then
		return
	end
	
	local ret = numberify(str:sub(i + 1, #str))
	return ret and multiplier[ch] * num + ret
end


local function sgm_cb(_, args)
	if not (args and args[2]) then
		print("usage: /sgm \"name\" amount")
		print("ex: /sgm \"bla\" 2m500k")
		return
	end
	
	local amount = numberify(args[2])
	if amount then
		GiveMoney(args[1], amount)
	else
		print("bad number")
	end	
end

RegisterUserCommand("sgm", sgm_cb)